Bug 870352 - [ja_JP] Test case failure: Check the message for Alert/Events/Tasks: The Date part of the message contains minutes in the month-section.
[ja_JP] Test case failure: Check the message for Alert/Events/Tasks: The Date...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Linux
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Shahar Havivi
Yuko Katabami
i18n
: i18n, Reopened, Translation, ZStream
Depends On:
Blocks: 886654 915537
  Show dependency treegraph
 
Reported: 2012-10-26 04:45 EDT by Yuko Katabami
Modified: 2016-02-10 13:59 EST (History)
12 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 886654 (view as bug list)
Environment:
Last Closed: 2013-06-10 17:15:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: i18n
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ja_JP - characer appearance in Date field, is fixed - Screen shot (79.21 KB, image/png)
2012-11-30 06:50 EST, Satyabrata Maitra
no flags Details
Event Date format fixed on sf1 build (75.39 KB, image/png)
2012-12-25 04:08 EST, Lijun Li
no flags Details

  None (edit)
Description Yuko Katabami 2012-10-26 04:45:20 EDT
Filed from caserun (INSERT URL HERE)

Version-Release number of selected component (if applicable):
unspecified

Steps to Reproduce: 

  * Click on the bottom Alerts/Events/Tasks view pane.
 


Actual results: 
#FIXME
Format of date/time is wrong with an extra character (which means "month" inserted after MM.

YYYY-MM月-DD, hh:mm:ss

Unable to locate this string in Zanata.
Please see attached images. This does not only appear in alert/event/task pane, but also other parts such as Creation Date column (and its popup) on Disks tab, which is in the details pane of Virtual Machines tab.

Expected results:

YYYY/MM/DD, hh:mm:ss
Comment 2 Shahar Havivi 2012-10-29 08:34:04 EDT
You will not find that at the Zanata,
This is the Java Localization of the Date String (which is consist in our system)

English:  2008-Apr-01, 00:00
Japanese: 2008-4月-01, 00:00
Comment 3 Yuko Katabami 2012-10-29 10:00:13 EDT
Japanese: 2008-4月-01, 00:00

You need to remove the character "月" from this string.
Please ensure to get this fixed before packaging. 
It is very important.
Comment 4 Shahar Havivi 2012-10-29 12:18:48 EDT
posted at: http://gerrit.ovirt.org/#/c/8912/
Comment 8 Satyabrata Maitra 2012-11-30 06:50:10 EST
Created attachment 654953 [details]
ja_JP - characer appearance in Date field, is fixed - Screen shot

Tested this bug. It seems Fixed now. Screen Shot attached.
With the visual comparison of the earlier screen shot with the problem showing, attached with this bug and this current screen shot it seems that the Japanese character omission from the date (month) is done successfully. Although, in which tab it was found as shown in the earlier screen shot, I did not find any data for the exact match. But I got the same date field in some other tab, as shown in this screen shot and verifying this bug.
Verified.
Version of the component Tested :
rhevm-3.1.0-32.el6ev
Comment 9 Kazuo Moriwaka 2012-12-06 22:17:15 EST

This patch include pattern 'mm' for month, but it shows minute of hour. This should be 'MM'.

now: yyyy-mm-dd, HH:mm

tobe: yyyy-MM-dd, HH:mm
Comment 10 Shahar Havivi 2012-12-09 06:15:55 EST
post at: http://gerrit.ovirt.org/#/c/9788/
Comment 20 Lijun Li 2012-12-25 04:02:56 EST
Verified. It's fixed on RHEVM3.2 sf1 build.
[root@dhcp-8-215 ~]# rpm -q rhevm
rhevm-3.2.0-1.el6ev.noarch
[root@dhcp-8-215 ~]# rpm -q rhevm-webadmin-portal
rhevm-webadmin-portal-3.2.0-1.el6ev.noarch
Please see the attached screenshot.

Thanks,
Robert
Comment 21 Lijun Li 2012-12-25 04:08:14 EST
Created attachment 668806 [details]
Event Date format fixed on sf1 build
Comment 23 errata-xmlrpc 2013-06-10 17:15:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.